#!/usr/bin/perl

###################################################################################
# 	mrtg-irc-total-users.pl v1.0
#
#	a plugin for MRTG that grabs the total number of users on and IRC network 
#	and graphs it.
#
# 	by jura <jura@geekpitlabs.com> and damaged <damaged@eyep.net>
#
#       drop by irc.spamnet.org:6667 if you have any questions or anything...
#       or visit http://www.spamnet.org
#
#       ** AVAILIBILITY **
#
#       Available for download from http://www.geekpitlabs.com/projects/programs/
#
#       ** LICENSE **
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
###################################################################################

#use strict;
use Net::IRC;

#my $time = time();

my $irc = new Net::IRC;

# customize this however you want..
my $conn = $irc->newconn(Server   => ($ARGV[0]  ||  'irc.sengoku.spamnet.org'),
                         Port     => 6667,
                         Nick     => 'mrtgbot',
                         Ircname  => 'suck me',
                         Username => 'mrtgbot')
    or exit 0;

sub on_lusers {
	my ($self, $event) = @_;
	my (@args) = ($event->args);
	shift (@args);
	while ($count <= 0) {
		$args[$count-1] =~ s/Current Global Users: +//gs;
		$args[$count-1] =~ s/Max: +//gs;
		$args[$count-1]  =~ s/ +/ /gs;
		chop ($args[$count-1]);
		chop ($args[$count-1]);
		chop ($args[$count-1]);
		#$time = time();
		print ("$args[$count-1]\n$args[$count-1]\n0\n0\n");
		$count++;
	}
}

sub on_connect {

        my $self = shift;
        $self->lusers;
        exit 0;
}

$conn->add_global_handler(376, \&on_connect);
$conn->add_global_handler(266, \&on_lusers);

$irc->start;
